#include <stdio.h>
#include <stdlib.h>

#ifdef USE_NLLIBC
#include <nllibc.h>
#endif

#include "config.h"
#include "lib.h"
#include "type.h"
#include "asm_code_lib.h"

int asm_code_lib_label_alloc(void)
{
  static int n = 0;
  return n++;
}

const char *asm_code_lib_label_name(int n)
{
  static char label[16];
  sprintf(label, "code.%d", n);
  return label;
}
